Bug 493377 - Anaconda error: Error processing drive fd0
Anaconda error: Error processing drive fd0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 11:42 EDT by Andrew McNabb
Modified: 2010-06-28 07:38 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:38:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew McNabb 2009-04-01 11:42:19 EDT
During a kickstart install of Fedora 11 Beta, the following error was reported:

"""Error processing drive fd0.
Maybe it needs to be
reinitialized. YOU WILL LOSE ALL
DATA ON THIS DRIVE!
"""

The last message in the console log is: "creating parted Disk: /dev/fd0"
Several lines back, there was a message: "scanning fd0 (/devices/platform/floppy.0/block/fd0..." followed by "fd0 is a disk".

This is especially strange since fd0 is never referred to in the kickstart script.  It's suprising that fd0 is scanned at all.  The only disk mentioned in the kickstart script is "sda".

Please let me know if there is anything else that I should provide.  Thanks.
Comment 1 cornel panceac 2009-04-01 13:12:02 EDT
today, on a standard f11beta x86_64 dvd install, anaconda was probing devices for a long time, so i looked in ctrl-alt-f3(?) and seen that it probed for fd0, found none, and then started to output i/o errors on fd0, sector 0,0,0,0,1......8,0,0,... etc
i do not have fdd but in bios the fdd was left (default) as 1.44". after disabling it in bios, anaconda proceed as expected, without any delay.

imo, if it didn't find any fdd, it just just get over it :)
Comment 2 Chris Lumens 2009-04-01 13:32:53 EDT
This should be fixed in the next build of anaconda.  Hopefully, it'll also be much, much faster to skip fd0 too.
Comment 3 A. Mani 2009-04-11 17:29:54 EDT
It behaves the same way with floppy drive and no floppy.

More details:

(from dmesg ..at that time)

device-mapper: multipath: version 1.0.5 loaded
device-mapper: multipath round-robin: version 1.0.0 loaded
[drm] Allocating FIFO number 0
[drm] nouveau_fifo_alloc: initialised FIFO 0
[drm] Allocating FIFO number 1
[drm] nouveau_fifo_alloc: initialised FIFO 1
end_request: I/O error, dev fd0, sector 0
end_request: I/O error, dev fd0, sector 0
end_request: I/O error, dev fd0, sector 0
end_request: I/O error, dev fd0, sector 0
end_request: I/O error, dev fd0, sector 0
end_request: I/O error, dev fd0, sector 0
end_request: I/O error, dev fd0, sector 1
end_request: I/O error, dev fd0, sector 2
end_request: I/O error, dev fd0, sector 3 
-----------------------------------
Comment 4 Bug Zapper 2009-06-09 08:58:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 schorschi 2009-06-14 18:41:01 EDT
Fedora x86 does not recognize fd0 as a valid device as well.  Drive light for diskette lights up, but stays lite.  Even after re-install and multiple reboots, diskette drive light is on, but no device present, /dev/fd0, etc., declared as invalid device.
Comment 6 Bug Zapper 2010-04-27 09:24:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Gerard Braad 2010-05-18 07:27:14 EDT
This situation also occurs for Fedora 13 RC3. During the install, when probed for storage devices, the setup will timeout before continuing.

On the terminal you can see messages like:
end_request: I/O error, dev fd0, sector 0

This occured when no diskdrive was connected and enabled from the BIOS. When the floppy drive is disabled in the BIOS, this error does not occur.
Comment 8 Karsten Vieth 2010-06-21 20:09:55 EDT
Buffer I/O on device fd0, logical block 0

same problem here on F13.x86_64

every harddisk probe takes up to 5 minutes.

And i've got no floppy!
Comment 9 Chris Lumens 2010-06-22 09:47:19 EDT
There is a kernel bug that tracks this situation, though I cannot currently find the number.
Comment 10 Bug Zapper 2010-06-28 07:38:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.